> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List ramp metrics by order number

GET https://rest.test.zuora.com/v1/orders/{orderNumber}/ramp-metrics

**Note**: This operation is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) feature must be enabled before you can access the [Ramps](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Ramps_and_Ramp_Metrics/A_Overview_of_Ramps_and_Ramp_Metrics) feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information coming October 2020.

Retrieves key ramp metrics about a specified order, including the following metrics:

* TCB, TCV in the Ramp level
* TCB, TCV in the Interval level
* TCB, TCV, Quantity, and MRR in Interval Metrics
* Delta TCB, Delta TCV, Delta Quantity, and Delta MRR in Interval Delta Metrics

See [Key metrics for Ramps](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Ramps_and_Ramp_Metrics/F_Key_metrics_for_Ramps) for more information.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/orders-and-subscriptions/ramps/get-ramp-metrics-by-order-number

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `orderNumber` (string, required) — The number of the existing order.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `rampMetrics` (list of OrderRampMetrics, optional)
- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of GetRampMetricsByOrderNumberResponseTypeReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### OrderRampMetrics

- `description` (string, optional) — The short description of the ramp.
- `discountTcb` (double, optional) — The discount amount for the TCB.
- `discountTcv` (double, optional) — The discount amount for the TCV.
- `grossTcb` (double, optional) — The gross TCB value before discount charges are applied.
- `grossTcv` (double, optional) — The gross TCV value before discount charges are applied.
- `intervals` (list of OrderRampIntervalMetrics, optional) — The ramp metrics for each ramp intervals in its timeline.
- `name` (string, optional) — The name of the ramp.
- `netTcb` (double, optional) — The net TCB value after discount charges are applied.
- `netTcv` (double, optional) — The net TCV value after discount charges are applied.
- `number` (string, optional) — The number of the ramp. It is automaticcally generated by the billing system.

### GetRampMetricsByOrderNumberResponseTypeReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### OrderRampIntervalMetrics

- `description` (string, optional) — The short description of the interval.
- `discountTcb` (double, optional) — The discount amount for the TCB.
- `discountTcv` (double, optional) — The discount amount for the TCV.
- `endDate` (date, optional) — The end date of the interval.
- `grossTcb` (double, optional) — The gross TCB value before discount charges are applied.
- `grossTcv` (double, optional) — The gross TCV value before discount charges are applied.
- `intervalDeltaMetrics` (list of RampIntervalChargeDeltaMetrics, optional) — Container for the delta metrics for each rate plan charge in each ramp interval. The delta is the difference of the subscription metrics between before and after the order.
- `intervalMetrics` (list of RampIntervalChargeMetrics, optional) — Container for the detailed metrics for each rate plan charge in each ramp interval.
- `name` (string, optional) — The name of the interval.
- `netTcb` (double, optional) — The net TCB value after discount charges are applied.
- `netTcv` (double, optional) — The net TCV value after discount charges are applied.
- `startDate` (date, optional) — The start date of the interval.

### RampIntervalChargeDeltaMetrics

- `chargeNumber` (string, optional) — The number of the rate plan charge.
- `deltaDiscountTcb` (double, optional) — The discount delta amount for the TCB.
- `deltaDiscountTcv` (double, optional) — The discount delta amount for the TCV.
- `deltaGrossTcb` (double, optional) — The TCB delta value before discount charges are applied.
- `deltaGrossTcv` (double, optional) — The TCV delta value before discount charges are applied.
- `deltaMrr` (list of RampIntervalChargeDeltaMetricsDeltaMrrItems, optional) — The MRR changing history of the current rate plan charge in the current ramp interval.
- `deltaNetTcb` (double, optional) — The TCB delta value after discount charges are applied.
- `deltaNetTcv` (double, optional) — The TCV delta value after discount charges are applied.
- `deltaQuantity` (list of RampIntervalChargeDeltaMetricsDeltaQuantityItems, optional) — The charge quantity changing history of the current rate plan charge in the current ramp interval.
- `productRatePlanChargeId` (string, optional) — The ID of the corresponding product rate plan charge.
- `subscriptionNumber` (string, optional) — The number of the subscription that the current rate plan charge belongs to.

### RampIntervalChargeMetrics

- `chargeNumber` (string, optional) — The number of the charge.
- `discountTcb` (double, optional) — The discount amount for the TCB.
- `discountTcv` (double, optional) — The discount amount for the TCV.
- `endDate` (date, optional) — The end date of the rate plan charge in the current ramp interval.
- `grossTcb` (double, optional) — The gross TCB value before discount charges are applied.
- `grossTcv` (double, optional) — The gross TCV value before discount charges are applied.
- `mrr` (list of RampIntervalChargeMetricsMrrItems, optional) — The MRR changing history of the current rate plan charge in the current ramp interval.
- `netTcb` (double, optional) — The net TCB value after discount charges are applied.
- `netTcv` (double, optional) — The net TCV value after discount charges are applied.
- `productRatePlanChargeId` (string, optional) — The ID of the corresponding product rate plan charge.
- `quantity` (double, optional) — The quantity of the rate plan charge.
- `ratePlanChargeId` (string, optional) — The ID of the rate plan charge.
- `startDate` (date, optional) — The start date of the rate plan charge in the current ramp interval.
- `subscriptionNumber` (string, optional) — The number of the subscription that the current rate plan charge belongs to.

### RampIntervalChargeDeltaMetricsDeltaMrrItems

- `discount` (double, optional) — The discount delta amount for the MRR.
- `endDate` (date, optional) — The end date.
- `gross` (double, optional) — The MRR delta amount before discounts charges are applied.
- `net` (double, optional) — The MRR delta amount after discounts charges are applied.
- `startDate` (date, optional) — The start date.

### RampIntervalChargeDeltaMetricsDeltaQuantityItems

- `amount` (double, optional) — The delta amount of the charge quantity.
- `endDate` (date, optional) — The end date.
- `startDate` (date, optional) — The start date.

### RampIntervalChargeMetricsMrrItems

- `discount` (double, optional) — The discount amount for the MRR.
- `endDate` (date, optional) — The end date.
- `gross` (double, optional) — The gross MRR amount before discounts charges are applied.
- `net` (double, optional) — The net MRR amount after discounts charges are applied.
- `startDate` (date, optional) — The start date.

## Examples

**Response**

```json
{
  "rampMetrics": [
    {
      "description": "",
      "discountTcb": 0,
      "discountTcv": 0,
      "grossTcb": 240,
      "grossTcv": 240,
      "intervals": [
        {
          "description": "",
          "discountTcb": 0,
          "discountTcv": 0,
          "endDate": "2020-12-31",
          "grossTcb": 120,
          "grossTcv": 120,
          "intervalDeltaMetrics": [
            {
              "chargeNumber": "C-00000204",
              "deltaDiscountTcb": 0,
              "deltaDiscountTcv": 0,
              "deltaGrossTcb": 120,
              "deltaGrossTcv": 120,
              "deltaMrr": [
                {
                  "discount": 0,
                  "endDate": "2020-12-31",
                  "gross": 10,
                  "net": 10,
                  "startDate": "2020-01-01"
                }
              ],
              "deltaNetTcb": 120,
              "deltaNetTcv": 120,
              "deltaQuantity": [
                {
                  "amount": 1,
                  "endDate": "2020-12-31",
                  "startDate": "2020-01-01"
                }
              ],
              "productRatePlanChargeId": "40289f7b7115832f0171158e6dd906cd",
              "subscriptionNumber": "A-S00000289"
            }
          ],
          "intervalMetrics": [
            {
              "chargeNumber": "C-00000204",
              "discountTcb": 0,
              "discountTcv": 0,
              "endDate": "2020-12-31",
              "grossTcb": 120,
              "grossTcv": 120,
              "mrr": [
                {
                  "discount": 0,
                  "endDate": "2020-12-31",
                  "gross": 10,
                  "net": 10,
                  "startDate": "2020-01-01"
                }
              ],
              "netTcb": 120,
              "netTcv": 120,
              "productRatePlanChargeId": "40289f7b7115832f0171158e6dd906cd",
              "quantity": 1,
              "ratePlanChargeId": "40289f7b7322a15901732392a904000a",
              "startDate": "2020-01-01",
              "subscriptionNumber": "A-S00000289"
            }
          ],
          "name": "Year 1",
          "netTcb": 120,
          "netTcv": 120,
          "startDate": "2020-01-01"
        },
        {
          "description": "",
          "discountTcb": 0,
          "discountTcv": 0,
          "endDate": "2021-12-31",
          "grossTcb": 120,
          "grossTcv": 120,
          "intervalDeltaMetrics": [
            {
              "chargeNumber": "C-00000204",
              "deltaDiscountTcb": 0,
              "deltaDiscountTcv": 0,
              "deltaGrossTcb": 120,
              "deltaGrossTcv": 120,
              "deltaMrr": [
                {
                  "discount": 0,
                  "endDate": "2021-12-31",
                  "gross": 10,
                  "net": 10,
                  "startDate": "2021-01-01"
                }
              ],
              "deltaNetTcb": 120,
              "deltaNetTcv": 120,
              "deltaQuantity": [
                {
                  "amount": 1,
                  "endDate": "2021-12-31",
                  "startDate": "2021-01-01"
                }
              ],
              "productRatePlanChargeId": "40289f7b7115832f0171158e6dd906cd",
              "subscriptionNumber": "A-S00000289"
            }
          ],
          "intervalMetrics": [
            {
              "chargeNumber": "C-00000204",
              "discountTcb": 0,
              "discountTcv": 0,
              "endDate": "2021-12-31",
              "grossTcb": 120,
              "grossTcv": 120,
              "mrr": [
                {
                  "discount": 0,
                  "endDate": "2021-12-31",
                  "gross": 10,
                  "net": 10,
                  "startDate": "2021-01-01"
                }
              ],
              "netTcb": 120,
              "netTcv": 120,
              "productRatePlanChargeId": "40289f7b7115832f0171158e6dd906cd",
              "quantity": 1,
              "ratePlanChargeId": "40289f7b7322a15901732392a904000a",
              "startDate": "2021-01-01",
              "subscriptionNumber": "A-S00000289"
            }
          ],
          "name": "Year 2",
          "netTcb": 120,
          "netTcv": 120,
          "startDate": "2021-01-01"
        }
      ],
      "name": "Two Years Ramp",
      "netTcb": 240,
      "netTcv": 240,
      "number": "R-00000270"
    }
  ],
  "success": true
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/orders/orderNumber/ramp-metrics")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```